From b3f66461cd849f8a0451d42ef25614691e4871d2 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 02 2020 00:29:12 +0000
Subject: [PATCH 519/2232] Update past yanked version of proc-macro2


1.0.11 was yanked.

---

diff --git a/gen/build/Cargo.toml b/gen/build/Cargo.toml
index 548dc85..f120099 100644
--- a/gen/build/Cargo.toml
+++ b/gen/build/Cargo.toml
@@ -14,7 +14,7 @@ travis-ci = { repository = "dtolnay/cxx" }
 anyhow = "1.0"
 cc = "1.0.49"
 codespan-reporting = "0.9"
-proc-macro2 = { version = "1.0.11", features = ["span-locations"] }
+proc-macro2 = { version = "1.0.12", features = ["span-locations"] }
 quote = "1.0"
 syn = { version = "1.0", features = ["full"] }
 
diff --git a/gen/cmd/Cargo.toml b/gen/cmd/Cargo.toml
index 20fa12e..99bff36 100644
--- a/gen/cmd/Cargo.toml
+++ b/gen/cmd/Cargo.toml
@@ -17,7 +17,7 @@ travis-ci = { repository = "dtolnay/cxx" }
 [dependencies]
 anyhow = "1.0"
 codespan-reporting = "0.9"
-proc-macro2 = { version = "1.0.11", features = ["span-locations"] }
+proc-macro2 = { version = "1.0.12", features = ["span-locations"] }
 quote = "1.0"
 structopt = "0.3"
 syn = { version = "1.0", features = ["full"] }
diff --git a/third-party/BUCK b/third-party/BUCK
index bf772cf..2de784b 100644
--- a/third-party/BUCK
+++ b/third-party/BUCK
@@ -83,7 +83,7 @@ rust_library(
 
 rust_library(
     name = "proc-macro2",
-    srcs = glob(["vendor/proc-macro2-1.0.11/src/**"]),
+    srcs = glob(["vendor/proc-macro2-1.0.12/src/**"]),
     visibility = ["PUBLIC"],
     features = [
         "proc-macro",
diff --git a/third-party/BUILD b/third-party/BUILD
index 140fec8..4d8fd9f 100644
--- a/third-party/BUILD
+++ b/third-party/BUILD
@@ -88,7 +88,7 @@ rust_library(
 
 rust_library(
     name = "proc-macro2",
-    srcs = glob(["vendor/proc-macro2-1.0.11/src/**"]),
+    srcs = glob(["vendor/proc-macro2-1.0.12/src/**"]),
     crate_features = [
         "proc-macro",
         "span-locations",
